Quassel IRC - Bug #494

quassel-client crashed
01/21/2009 07:16 PM - kitterma

Status: Closed Start date: 01/21/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
Version: 0.3.0.x 0S: Any

Description

This is from the Kubuntu package taken as a git snapshot late on January 19 in -0500 (first commit labled January 20 was done).

History

#1 - 01/21/2009 08:29 PM - EgS

What Qt version was used?

#2 - 01/21/2009 08:34 PM - kitterma

4.4.3-Oubuntu1.1 (I'm guessing you only care about 4.4.3, but just for completeness ....)

#3 - 01/26/2009 12:04 AM - EgS

| suspect Qt misbehaving or maybe even something beyond Qt. There was already an issue with QPixmap which occurred only on Linux with Qt prior
to 4.4.2. That reminds me of that particular bug.

Quassel IRC: 0.3.1 d6776e3276£f91e2161836f82dfa8caebe596286d

# 0 quasselclient 0x081b8152 0x00000000

# 1 quasselclient 0x081a3931 0x00000000

# 2 0xb7f4e400 __kernel_sigreturn

# 3 libQtGui.so.4 0xb636d009 0x00000000

# 4 1ibQtGui.so.4 0xb6362ac5 QPixmap: :setAlphaChannel (QPixmap consté&)

# 5 quasselclient 0x081271cd 0x00000000

# 6 libQtGui.so.4 0xb682f7ed 0x00000000

# 7 1libQtGui.so.4 0xb68324ea 0x00000000

# 8 1libQtGui.so.4 0xb6833681 QGraphicsScene::drawltems (QPainter*, int, QGraphicsItem**, QStyleOptionGr
aphicsItem const*, QWidget¥*)

# 9 1libQtGui.so.4 0xb684702c QGraphicsView::drawlItems (QPainter*, int, QGraphicsItem**, QStyleOptionGra
phicsItem const*)

# 10 1libQtGui.so.4 0xb68506fc QGraphicsView: :paintEvent (QPaintEvent¥*)

# 11 1ibQtGui.so.4 0xb62£f274b QWidget::event (QEvent*)

There are some symbols missing but it is obvious that the crash happened in QPixmap. As the Pixmap is created on the stack it's pretty unlikely that
it's a Quassel issue.

Sput: any thoughts on this?

#4 - 02/24/2010 06:30 AM - johu
- Status changed from New to Closed
- Version changed from 0.3.1+ to 0.3.0.x

- OS set to Any

this should be fixed with never gt >= 4.5

Files

Quassel-Crash-20090121-1303.log 4.31 KB 01/21/2009 kitterma
